* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    background: rgba(83, 83, 83, 0.308);
}

::-webkit-scrollbar-thumb {
  background: #888;
}

.clickable {
    cursor: pointer;
}

header {
    align-items: center;
    background: #434343;
    color: #fdfdfd; 
    display: flex;
    font-family: 'recursive';
    height: 8vh;
    justify-content: space-between;
    margin-bottom: 20px;
    top: 0px;
    width: 100%; 
    position: fixed;
    padding: 1%;
    z-index: 1;
}

main {
    font-family: 'Open Sans';
}

.notes {
    background-color: #f3f3f3;
    color: #434343;
    display: grid;
    grid-template-columns: repeat(4, 22fr);
    grid-auto-rows: minmax(4rem ,40vh);
    grid-gap: 8px;
    min-height: 100vh;
    padding: 1%;
    margin-top: calc(8vh);
}

.note {
    background: rgb(235, 235, 110);
    border: 1px solid  rgba(83, 83, 83, 0.308);
    box-shadow: 0px 2px 5px #949494; 
    color: #2e2c2c;
    display: grid;
    grid-template-rows: 1fr 9fr;
    grid-template-areas: 'title' 'content';
    grid-gap: 1px;
    height: 100%;
    height: 100%;
    padding-left: 10px;
    padding-right: 10px;
    width: 100%;
    transition: all 500ms;
}

.note:hover {
    cursor: pointer;
    transform: scale(1.02)
}

.note-title {
    align-items: center;
    border-bottom: 1px solid rgba(0,0,0,0.2);
    box-shadow: 0px 2px 2px -2px gray;
    display: flex;
    font-size: 1.125rem;
    font-weight: bold;
    grid-area: title;
    height: 1.5rem;
    justify-content: center;
    overflow: hidden;
}

.note-content {
    grid-area: content;
    height: 100%;
    padding: 5px 0;
    overflow: hidden;
}

.option-icon {
    font-size: 1.7rem;
    margin-left: 15px;
    transition: all 500ms;
}

.option-icon:hover {
    transform: scale(1.2);
}

.option-icon-add:hover {
    color: green;
}

.option-icon-trash:hover {
    color: red;
}

.modal {
    display: block;
    width: 0;
    height: 0;
    position: fixed;
    top: 0px;
    z-index: 1;
}

.overlay {
    align-items: center;
    background: rgba(0,0,0,0.7);
    display: flex;
    height: 100vh;
    justify-content: center;
    width: 100vw;
}

.form-note {
    background: #fdfdfd;
    border-radius: 10px;
    display: grid;
    grid-template-areas: 'title' 'content' 'submit';
    grid-template-rows: 1fr 8fr 1fr;
    height: 90%;
    overflow: hidden;
    padding: 20px;
    width: 70%;
    
}

.form-note div label {
    display: block;
    font-size: 1.125rem;
    margin-bottom: 5px;
}

#form-note__title, #form-note__content {
    border: 1px solid rgba(0,0,0,0.2);
    border-radius: 5px;
    height: 2.5rem;
    padding: 5px;
    width: 100%;
}

.form-note input:focus, .form-note textarea:focus {
    outline: none;
}

.form-note .title {
    grid-area: title;
    height: 15%;
}

.form-note .content {
    grid-area: content;
}

.form-note .submit {
    align-items: center;
    display: flex;
    grid-area: submit;
    justify-content: center;
    position: relative;
}

#form-note__content {
    height: 100%;
    resize: none;
}

.submit button {
    background: rgb(101, 182, 219);
    border: none;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    color: #fdfdfd;
    font-weight: bold;
    height: 3rem;
    width: 100%;
}

@media screen and (max-width: 1000px) {
    .notes {
        grid-template-columns: repeat(3, 30fr);
        grid-auto-rows: minmax(4rem, 40vh);
    }
}

@media screen and (max-width: 720px) {
    .notes {
        grid-template-columns: repeat(2, 49fr);
        grid-auto-rows: minmax(4rem, 40vh);
    }

    .note {
        height: 100%;
    }
}

@media screen and (max-width: 500px) {
    .notes {
        display: flex;
        flex-wrap: wrap;
        align-content: flex-start;
    }

    .note {
        min-width: 48%;
        width: max-content;
        flex-grow: 1;
        min-height: 3rem;
        max-height: 40vh;
    }

    .note:hover {
        transform: none;
    }

    .form-note {
        width: 95vw;
        height: 65vh;
    }
}

p {
    word-wrap: break-word;
}

